plugins {
    id("org.gradle.toolchains.foojay-resolver-convention") version "1.0.0"
}

rootProject.name = "prometeu-studio"

include("prometeu-infra")

include("prometeu-packer:prometeu-packer-api")
include("prometeu-packer:prometeu-packer-v1")

include("prometeu-lsp:prometeu-lsp-api")
include("prometeu-lsp:prometeu-lsp-v1")

include("prometeu-compiler:frontends:prometeu-frontend-pbs")
include("prometeu-compiler:prometeu-compiler-core")
include("prometeu-compiler:prometeu-build-pipeline")
include("prometeu-compiler:prometeu-deps")
include("prometeu-compiler:prometeu-frontend-api")
include("prometeu-compiler:prometeu-frontend-registry")

include("prometeu-studio")

include("prometeu-app")
